Subject: [6tisch] Minutes, 12 February 2016 interim, 6TiSCH WG

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Fri, 12 Feb 2016 16:55:23 +0000

Note: timestamps in PST.

Connection details

  *   Date: 7-8AM Pacific: http://www.worldtimebuddy.com/?qm=1&lid=100,12,5392171,1850147&h=100&date=2016-02-12&sln=15-16
  *   Main slides at: https://bitbucket.org/6tisch/meetings/src/248c60c6d81f324d4db7c07532a7be4abc83505d/160212_webex/slides_160212_webex.ppt?at=master
  *   ETSI slides at: https://bitbucket.org/6tisch/meetings/raw/b4849d7f7a563ae47ddce48bfa0e06c1d8367772/160212_webex/etsi_6tisch_2_report_v1.pdf

Taking notes (using Etherpad)

  1.  Michael Richardson
  2.  Pascal Thubert
  3.  Thomas Watteyne
  4.  Xavi Vilajosana

Present (alphabetically)

  1.  Thomas Watteyne
  2.  Pascal Thubert
  3.  Daniel Nepomuceno
  4.  Diego Dujovne
  5.  Jonathan Munoz
  6.  Keoma Brun
  7.  Maria Rita Palattella
  8.  Michael Richardson
  9.  Michel Weillette
  10. Nestor Tiglao
  11. Nicola Accettura
  12. Qin Wang
  13. Robert Cragie
  14. S.V.R. Anand
  15. Sedat Gormus
  16. Simon Duquennoy
  17. Tengfei Chang
  18. Xavi Vilajosana
  19. Y. Lee
  20. Zhuo Chen

Action Items

  1.  TODO

Agenda

  *   Administrivia [7min]
     *   Approval agenda
     *   Approval minutes last call
     *   Misc including recharter
  *   ETSI 6TiSCH #2 plugtest - report [20min]
  *   draft-munoz-6tisch-examples-00 [10min]
  *   6LoRH discussion and next Steps [10min]
  *   Status suggested 6P enhancements and next steps [10min]
  *   AOB [1min]

Minutes

*        [07.??] Meeting starts

recording starts

     *   Administrivia [7min]
     *   Approval agenda
     *   Approval minutes last call
     *   Misc including recharter

Agenda and minutes of last interim approved

*        ETSI 6TiSCH #2 plugtest - report [20min]

     *   Michael points the slides https://bitbucket.org/6tisch/meetings/raw/b4849d7f7a563ae47ddce48bfa0e06c1d8367772/160212_webex/etsi_6tisch_2_report_v1.pdf

*        Maria Rita presents a summary of the Plugtest happened in INRIA Paris, on 2-4 February.

     *   group of experts prepared the test description, hardware golden devices, golden images etc...
     *   14 companies joined the event
     *   5 different implementations. No more details as this is under NDA.
     *   this was the 2nd Plugtest. 6P protocol and 6LoRH implementation. Routing and paging dispatch.
     *   14 tests, 4 different groups of tests. Synchronization, RPL, 6P and 6LoRH
     *   check interop and conformance; e.g. 6P command
     *   test configurations: single hop, multi-hop, star network
     *   Tools develop to help the success of the dissector for Wireshark. Golden device stack implementation.
     *   Feedback to the standardization bodies:
        *   first time the 6LORH implemented.
        *   6P protocol, checking if we had the right sequence of events.
        *   identified the need of a sequence number. to discuss if it is something needed.
        *   the plugtest helped to identify missing knobs in the 6lowpan compression when using 6LoRH, for example the compression of inner header source and destination addresses
  *   the F-Interop H2020 project was also presented
     *   it aims to develop online tools and platform to facilitate interop remotely.

*        F-Interop targets to demo some tools at the IETF 96 in Berlin.

*        Thomas Watteyne: ETSI plugtest is an Important milestone is that what we tested is almost all the functionality we envisaged by 6TiSCH

     *   F-Interop goal is to develop something that is useful for the IETF.
     *   very likely that we will have a third plugtest the weekend before of the IETF in Berlin.

*        draft-munoz-6tisch-examples-00 [10min]

     *   Jonathan presents a new draft
     *   work similar to the one associated to plugtest in Prague
     *   presents examples of the headers of the 6P and 6LoRH.
     *   examples incmude multihop pings with messages examples, including 6LoRH draft implementation
     *   the dissector used to create the examples is opensource and available online at https://github.com/openwsn-berkeley/dissectors

*        6LoRH discussion and next Steps [10min]

     *   draft split
     *   a new draft come after the Plugtest from the work and discussions. It will be an updated of RFC6282
     *   main idea is that when we have IP in IP encapsulation we can use the outer header to compress the inner header if possible. RFC6282 only enables to do stateless compression with the link local address.
  *   Thomas Watteyne: Why 6282 is not covering that.
  *   Pascal Thubert: it seems that this is a case was not thought in detail. IP in IP seemed to come later and this case was not covered.
  *   Thomas Watteyne: Question about context. COntext is like a wildcard which enables us to elide some things. Could not we agree that Context X means something like take out the source.
  *   Michael Richardson: Stateless across the packet. outer header may be stateful
  *   Some issues where found in 6LoRH that need to be discussed. Compression of headers using powers of 2 in 6lorh. Can we use another values? Only if we have the right cases.
  *   Simon Duquennoy: if in RPL we can carry any prefix length, 6LoRH should enable that as well
  *   Pascal Thubert: Naming of the headers. In RFC6550 and RFC6554 the extension header names have more general naming than in 6LoRH. Should 6LoRH propose more general naming. Should we name it RPI or RPL option ...
  *   Xavi Vilajosana: can we have a section which introduces the terminology?

*        Pascal: RH3 can only be expanded in an RH3, this is very specific. So whynot to make it generic. As for RH3 it is too specific

*        Robert Cragie. Propose to keep RPI but make RH3 naming more general. (Source Routing Header? SRH)

     *   Pascal: agree to move to rename RH3 into SRH
     *   Robert: +1
     *   Thomas: +1

*        Thomas: inner compression name is not very clear. Maybe should be inner-header-ip-in-ip-compression.

  *   Status suggested 6P enhancements and next steps [10min]

*        Moved to the next call.

*        AOB [1min]

*        No other B.

*        [08.06] Meeting ends